Change log for netatalk package in Ubuntu

143 of 43 results
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
netatalk (3.1.12~ds-3) unstable; urgency=medium

  * Update autopkgtest: Add sbin paths to PATH.

 -- Jonas Smedegaard <email address hidden>  Sat, 02 Mar 2019 00:32:52 +0100

Available diffs

Superseded in eoan-release on 2019-04-21
Published in disco-release on 2019-02-23
Deleted in disco-proposed (Reason: moved to release)
netatalk (3.1.12~ds-2) unstable; urgency=medium

  * Fix stop build-depend on obsolete libmysqlclient-dev.
    Adapt smoketest.
    Update documentation to include CNID backend mysql
    to list of GPL-incompatible features
    legally possible only in local rebuild.
  * Bump documentation timestamps,
    and timestamp each topic separately.

 -- Jonas Smedegaard <email address hidden>  Sat, 23 Feb 2019 11:04:52 +0100

Available diffs

Superseded in disco-release on 2019-02-23
Deleted in disco-proposed on 2019-02-25 (Reason: moved to release)
netatalk (3.1.12~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#685878.
    + AppleTalk networking protocol support dropped.
      Closes: Bug#187512, #467513, #467514, #489800, #599402, #652825, #660768.
    + Printer Access Protocol (PAP) support dropped.
      Closes: Bug#66875, #86185, #141405, #316563, #336495, #772280, #716165.

  [ Igor Bernstein ]
  * Drop patches and configure options obsoleted by upstream changes.
  * Stop install documentation no longer provided upstream.
  * Install shared library and files in /var/lib, actually used now.

  [ Michele Porelli ]
  * Change init style to systemd.

  [ Adrian Knoth ]
  * Drop rules for uniconv.
  * Build-depend on dh-systemd.

  [ Jonas Smedegaard ]
  * Re-add sysV init script, alongside systemd.
  * Repackage upstream source:
    + Exclude embedded code copies of libtalloc libtdb.
    + Exclude pre-generated spotlight code.
  * Update patches:
    + Drop patches applied upstream.
    + Extend patch 103 with fixes for additional typos.
    + Add patch 204 to use FHS-compatible state dir /var/lib/netatalk.
    + Unfuzz patches.
  * Update watch file:
    + Rewrite usage comment.
    + Use substitution strings.
    + Use suffix ~ds for repackaged upstream source.
  * Update copyright info:
    + Fix track scripts by HAT, licensed GPL-2+.
    + Update coverage, track exclusions, and stop track gone files.
    + Track new source files licensed GPL-2/GPL-2+/Autoconf-or-GPL-3+.
  * Build linked with system shared libtalloc libtdb.
    Add patches 101 201 to use system shared libraries libtalloc libtdb.
    Build-depend on libtalloc-dev libtdb-dev.
  * Enable AFPStats D-Bus service.
    Add patch 102 to migrate to and use python3.
    Build-depend on libdbus-glib-1-dev.
    Recommend dbus python3 python3-dbus.
  * Enable integration with SystemTap.
    Build-depend on systemtap-sdt-dev.
  * Add NEWS entry listing disruptive changes.
  * Stop create obsolete directory var/spool/netatalk.
  * Stop provide unmaintained logcheck snippets.
  * Enable autopkgtest.
  * Improve build-time check for OpenSSL license violation.
  * Avoid install manpages for obsolete or avoided commands.
  * Update documentation:
    + Drop duplicated changelog and copyright info in README.Debian.
    + Drop obsolete README.Debian note about manual BerkeleyDB migration,
      and about AppleTalk DDP and host-to-ip resolving.
  * Stop build GSS UAM (except in custom build):
    Causes license violation linking against OpenSSL.
    Stop build-depend on libkrb5-dev.
    Update documentation to mention GSS UAM in OpenSSL notes.
  * Build new mysql UAM, linking against libmysqlclient
    (not libmariadb to avoid license violation).
    Build-depend on libmysqlclient-dev.
  * Fix stop enable cracklib support,
    needed only with randnum UAM which requires OpenSSL.
    Update documentation.
    Stop build-depend on libcrack2-dev.
    Stop recommend libpam-cracklib, avahi-daemon.
  * Update short and long descriptions
    to talk only about Apple Filing Protocol
    (not obsolete AppleTalk protocol),
    and elaborate on differences with SMB protocol.
  * Stop build-depend on libcups2-dev, recommend rc db-util,
    or suggest texlive-base-bin quota:
    Needed for no longer provided features.
  * Enable Spotlight integration with tracker.
    Build-depend on bison flex: Needed to generate Spotlight code.
    Build-depend on libtracker-miner-2.0-dev libtracker-sparql-2.0-dev.
    Build-depend on and recommend tracker.
  * Add patch 104 to modernize Systemd service file.

 -- Jonas Smedegaard <email address hidden>  Mon, 18 Feb 2019 12:54:10 +0100

Available diffs

Superseded in disco-release on 2019-02-18
Deleted in disco-proposed on 2019-02-19 (Reason: moved to release)
netatalk (2.2.6-3) unstable; urgency=high

  * Regenerate autotools during build.
    Really closes: Bug#912091. Thanks (again!) to Helmut Grohne.
  * Set urgency=high due to previously fixed CVE-2018-1160.

 -- Jonas Smedegaard <email address hidden>  Sun, 23 Dec 2018 11:48:52 +0100

Available diffs

Superseded in disco-release on 2018-12-23
Deleted in disco-proposed on 2018-12-24 (Reason: moved to release)
netatalk (2.2.6-2) unstable; urgency=medium

  * Acknowledge NMUs.
    Closes: Bug#864125, #916930.
    Thanks to Salvatore Bonaccorso and Andreas Metzler.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
  * Update notes on local build linked with OpenSSL:
    + Rephrase centered on usage needs (not legalese).
    + Use apt (not aptitude or apt-get) in interactive commands.
    + Stop reference obsolete unofficial package repository.
    + Move build details to README.source.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Stop build-depend on dh-buildinfo.
  * Update copyright info:
    + Extend coverage of packaging.
    + Use https protocol in format URL.
  * Wrap and sort control file, and strip trailing spaces.
  * Use package priority optional (not extra).
  * Declare compliance with Debian Policy 4.2.1.
  * Fix depend on lsb-base.
  * Configure with --enable-a2boot.
    Closes: Bug#907958. Thanks to T. Joseph Carter.
  * Add patch 106
    to fix detect Berkeley DB installed in multiarch location.
    Closes: Bug#912091. Thanks to Helmut Grohne.
  * Add patches cherry-picked upstream
    to fix unauthenticated remote code execution
    (replacing semantically identical patch 115 added in 2.2.6-1.2).

 -- Jonas Smedegaard <email address hidden>  Sat, 22 Dec 2018 19:04:35 +0100

Available diffs

Published in trusty-updates on 2018-12-20
Published in trusty-security on 2018-12-20
netatalk (2.2.2-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: RCE with root privileges
    - debian/patches/CVE-2018-1160-01.patch: libatalk/dsi: avoid double use of
      variable i
    - debian/patches/CVE-2018-1160-02.patch: libatalk/dsi: add correct bounding
      checking to dsi_opensession
    - CVE-2018-1160

 -- Mike Salvatore <email address hidden>  Thu, 20 Dec 2018 09:21:31 -0500
Published in xenial-updates on 2018-12-20
Published in xenial-security on 2018-12-20
netatalk (2.2.5-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: RCE with root privileges
    - debian/patches/CVE-2018-1160-01.patch: libatalk/dsi: avoid double use of
      variable i
    - debian/patches/CVE-2018-1160-02.patch: libatalk/dsi: add correct bounding
      checking to dsi_opensession
    - CVE-2018-1160

 -- Mike Salvatore <email address hidden>  Thu, 20 Dec 2018 09:21:16 -0500
Published in bionic-updates on 2018-12-20
Published in bionic-security on 2018-12-20
netatalk (2.2.6-1ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: RCE with root privileges
    - debian/patches/CVE-2018-1160-01.patch: libatalk/dsi: avoid double use of
      variable i
    - debian/patches/CVE-2018-1160-02.patch: libatalk/dsi: add correct bounding
      checking to dsi_opensession
    - CVE-2018-1160

 -- Mike Salvatore <email address hidden>  Thu, 20 Dec 2018 09:20:57 -0500
Published in cosmic-updates on 2018-12-20
Published in cosmic-security on 2018-12-20
netatalk (2.2.6-1ubuntu0.18.10.2) cosmic-security; urgency=medium

  * SECURITY UPDATE: RCE with root privileges
    - debian/patches/CVE-2018-1160-01.patch: libatalk/dsi: avoid double use of
      variable i
    - debian/patches/CVE-2018-1160-02.patch: libatalk/dsi: add correct bounding
      checking to dsi_opensession
    - CVE-2018-1160

 -- Mike Salvatore <email address hidden>  Wed, 19 Dec 2018 09:21:21 -0500
Superseded in disco-release on 2018-12-23
Deleted in disco-proposed on 2018-12-24 (Reason: moved to release)
netatalk (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864125

 -- Andreas Metzler <email address hidden>  Sat, 27 Oct 2018 11:35:03 +0200

Available diffs

Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-08-01
Deleted in artful-proposed (Reason: moved to release)
netatalk (2.2.6-1) unstable; urgency=medium

  [ upstream ]
  * New stable release.

  [ Jonas Smedegaard ]
  * Update watch file: Limit to 2.x.x releases.
  * Drop patches cherry-picked upstream, now applied.
  * Drop patch 201: etc2ps paths fixed upstream.
  * Advertise DEP3 format in patch headers.
  * Update copyright info:
    + Fix consistently reference license BSD-3-Clause~4.
    + Fix separate License-Grant from License.
    + Fix separate Comment from License.
    + Extend coverage of autotools.
    + Extend coverage of packaging.
    + Relicense packaging as GPL-3+.
  * Update lintian overrides:
    + Tighten overrides regarding license in License-Reference field.
    + Add overrides regarding FIXMEs in copyright_hints file.
  * Drop CUPS workaround build flags: Handled upstream.
  * Drop explicit core build flags: Handled in CDBS.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
    Stop build-depend on licensecheck.

 -- Jonas Smedegaard <email address hidden>  Sun, 30 Jul 2017 14:08:55 -0400

Available diffs

Superseded in artful-release on 2017-08-01
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
netatalk (2.2.5-2) unstable; urgency=medium

  [ Adrian Knoth ]
  * Add patch to source init functions in init.d script.
  * Bump debhelper compatibility level to 9.

  [ Brian Campbell ]
  * Add myself to uploaders

  [ Chris Boot ]
  * Add myself to uploaders

  [ Jonas Smedegaard ]
  * Address most FIXMEs.
  * Update watch file:
    + Bump to version 4.
    + Track any release (not only 2.x).
    + Mention gpb --uscan in usage comment.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update git-buildpackage config: Filter any .gitignore file.
  * Modernize CDBS:
    + Build-depend on licensecheck (not devscripts).
    + Tighten binary package relations to be package-specific.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Resolve remaining FIXMEs.
      Closes: Bug#751121. Thanks to Luca Falavigna.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Clarify vaguely ORed license pair.
    + Re-label to use SPDX license shortnames FSFUL FSFULLR X11.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Drop example script to convert from netatalk 2.0.4~beta2-4 and
    earlier: needed package db4.2-util no longer available.
    Stop suggest db4.2-util.
  * Fix version in NEWS entry.
  * Add patches cherry-picked upstream, including ASP/DDP fixes.
    Closes: Bug#760111, #760112. Thanks to Vincent Duvert.
  * Fix stop build-depend on d-shlibs.

 -- Jonas Smedegaard <email address hidden>  Tue, 10 Jan 2017 15:29:57 +0100

Available diffs

Superseded in zesty-release on 2017-01-11
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
netatalk (2.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends on hardening-includes. (Closes: #836757)

 -- Chris Lamb <email address hidden>  Wed, 28 Sep 2016 11:27:14 +0100
Superseded in yakkety-release on 2016-10-02
Deleted in yakkety-proposed on 2016-10-04 (Reason: moved to release)
netatalk (2.2.5-1ubuntu1) yakkety; urgency=medium

  * Drop build dependency on hardening-includes.

 -- Matthias Klose <email address hidden>  Wed, 28 Sep 2016 03:47:32 +0200
Superseded in yakkety-release on 2016-09-28
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
netatalk (2.2.5-1) unstable; urgency=medium


  [ upstream ]
  * New stable release 2.2.3.
    + Add afpd support for Apple mDNSResponder.
    + Add afpd new LDAP config option ldap_uuid_string.
    + Based on Unicode 6.1.0.
    + Update experimental systemd service files to always run both afpd
      and cnid_metad (unsuitable for 2.x: lack AppleTalk support).
    + Update afpd to ensure our umask is not altered by e.g. pam_umask.
    + Update  afpd to use GSS_C_NO_NAME as server principal when
      Kerberos options -fqdn and -krb5service are not set.
    + Update afpd CNID handling for TimeMachine volumes.
      Closes: bug#703426. Thanks to Dominic Evans.
    + Fix afpd sendfile() on FreeBSD.
    + Fix afpd to not use searchdb when doing partial name search.
    + Fix possible afpd bug handling disconnected sessions.
    + Fix close IPC file descriptors in afpd session child processes.
    + Fix dbd to not remove BerkeleyDB if still in use by e.g. cnid_dbd
      (a bug introduced in 2.2.2).
    + Fix debian initscript to start avahi-daemon (if available) before
      atalkd
    + Fix use only ASCII in Zeroconf advertised TimeMachine volume name.
  * New stable release 2.2.4:
    + Fix missing UAM links.
    + Fix lockup in AFP logout on Fedora 17.
    + Fix reset signal handlers and alarm timer after successful PAM
      authentication. Fixes a problem with AFP disconnects caused by
      pam_smbpass.so messing with our handlers and timer.
    + Fix possible afpd problem with sendfile on Solaris derived
      platforms.
  * New stable release 2.2.5:
    + Fix errors searching volumes.
    + Add configurable symlink handling with a new volume option
      'followsymlinks'. Setting the option causes afpd to follow
      symlinks on the server side.
    + Reload groups when reloading volumes.
    + Fix a possible crash in cname() where cname_mtouname calls
      dirlookup() where the curdir is freed because the dircache
      detected a dev/inode cache difference and evicted the object
      from the cache.
    + Fix change default FinderInfo for directories to be all 0.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Adapt to upstream change from CVS to git:
    + Add git URL as alternate upstream source.
    + Have git-import-orig suppress upstream .gitignore file.
    + Drop helper target get-orig-vcs from rules file.
    + Stop tracking md5sum of upstream tarball (track git tags instead).
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Move packaging to team maintenance:
    + Update Vcs-* Maintainer fields in control file.
    + (Re-)add myself as uploader.
  * Drop patch 101: Adopted upstream.
  * Unfuzz patches.
  * Separate upstream-relevant part of patch 205 as patch 101 to drop
    bogus warning in configfile.
  * Fix explicitly enable code paths private since CUPS 1.6.
    Closes: bug#713558. Thanks to Patrick Coulthard.
  * Add patch 102 to fix bashisms in add_netatalk_printer script.
    Closes: bug#581127. Thanks to Raphael Geissert.
  * Add patch 103 to fix user-visible typos in log output and
    documentation.
    Closes: bug#685162. Thanks to Ralf Hildebrandt.
  * extend logcheck filters.
    Closes: bug#589215, #588832. Thanks to Radek Antoniuk.
  * Update copyright file:
    + Fix relabel a license as MIT~veryshort (from GAP).
    + Improve tracking of autotools files.
  * Fix DEP5 syntax error (Double "Copyright:").
  * Fix revert to SysV stop action at default runlevels:
    + Add patch 104 to adjust LSB header.
    + Drop custom update-rc.d parameters (also other now obsolete ones)
      in rules file.
    Closes: bug#745520. Thanks to "c" and Chad.
  * Tidy patches:
    + Normalize extension of patch 205.
    + Rename patches cherry-picked upstream to be based on changedata +
      git hash.
    + Add DEP3 patch headers.
    + Unfuzz patches.
  * Limit watch file to 2.x versions.

  [ Adrian Knoth ]
  * Update copyright file:
    + Fix DEP5 syntax error ("Files:" misspelled).

  [ Brian Campbell ]
  * Fix patch 103 to exclude debian/changelog typos.
  * Add debug package.
  * Explicitly set DEB_DESTDIR now that we're building two binary
    packages.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied even in oldstable.
    + Build-depend on autotools-dev.
  * Cherry-pick patches from upstream mainline git branch:
    + Fix error reporting for connection errors.
    + Fix crash following symlinks.
    + Fix handling of large numbers of volumes.

  [ Chris Boot ]
  * Add patch 105 to fix an unterminated quoted string in
    add_netatalk_printer.
  * Update standards version to 3.9.5.
  * Fix Vcs-Git URL to make it canonical.
  * Fix avoid duplicate Section fields in control file.

 -- Jonas Smedegaard <email address hidden>  Wed, 23 Apr 2014 16:48:09 +0200
Superseded in vivid-release on 2014-12-05
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-11-02
Deleted in trusty-proposed (Reason: moved to release)
netatalk (2.2.2-1ubuntu2) trusty; urgency=low

  * No change rebuild against db 5.3.
 -- Dmitrijs Ledkovs <email address hidden>   Sat, 02 Nov 2013 17:18:24 +0000

Available diffs

Superseded in trusty-release on 2013-11-02
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
netatalk (2.2.2-1ubuntu1) quantal; urgency=low

  * Define a variable to allow access to CUPS structure fields. Fixes FTBFS.
 -- Ilya Barygin <email address hidden>   Fri, 05 Oct 2012 22:30:18 +0400
Superseded in quantal-release on 2012-10-06
netatalk (2.2.2-1) unstable; urgency=low


  * New upstream release.
  * Drop patch cherry-picked upstream: Included in new upstream release.
  * Build-depend on libldap2-dev and libacl1-dev, to enable LDAP support
    and support for extended ACLs (and possibly avoid FTBFS).
    Closes: bug#645290, #651406. Thanks to Peter Eisentraut and masc.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Add Files paragraph for ACL code.
  * Bump standards-version to 3.9.3.
  * Update copyright file: Add disclaimer to License paragraph
    GAP~Makefile.in.
  * Bump debhelper compat level to 7.
  * Add patch 101 to start avahi-daemon (if available) before atalkd.
    Recommend avahi-daemon.

 -- Jonas Smedegaard <email address hidden>  Tue, 20 Mar 2012 23:37:08 +0100

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-12-12
netatalk (2.2.1-1) unstable; urgency=low

  * New upstream release.
    + Closes: bug#637025.
    + Fixes FTBFS on GNU/kFreeBSD.
      Closes: bug#630349. Thanks to Petr Salinger.
  * Fix typo in comment.
  * Update patches:
    + Drop patch 213 (CVE-2008-5718): fixed upstream since 2.0.5.
    + Drop patches 115 and 214 (default → etc/default): fixed upstream
      since 2.2.1.
    + Unfuzz patch 114.
    + Add patch cherry-picked from upstream git, to fix EA header
      related file move/delete errors.
      Closes: bug#648792. Thanks to Tim Miller Dyck.
  * Update copyright file: Add/extend a few files sections.
  * Update package relations:
    + Tighten build-dependency on cdbs slightly.
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  12 Dec 2011 12:00:48 +0000

Available diffs

Superseded in precise-release on 2011-12-12
Obsolete in oneiric-release on 2015-04-24
netatalk (2.2~beta4-1) unstable; urgency=low

  * New upstream release.
    + Fixes "Internal Error" after ad_open on sparc.
      Closes: bug#606005. Thanks to Alfredo Sola.
  * Adjust references to unofficial packages in README.Debian.
  * Use dversionmangle (not uversionmangle) in watch file. Fix add
    leading dash (-) to upstream version in mangling.
  * Update patches:
    + Drop patches 107 and 294 (Zeroconf support): Implemented
      (differently) upstream now.
    + Drop patches 109 and 112 (avoid broken XFS linkage) obsolete.
    + Drop patch 200 (hostname resolving): adopted upstream.
    + Refresh patch 205.
  * Rewrite copyright file using draft 174 of DEP-5 format.
  * Build-depend on and recommend unversioned (i.e. default) BerkeleyDB
    packages.
    Closes: bug#621413. Thanks to Ondřej Surý.
    Simplify suggestions on older versioned BerkeleyDB packages.
  * Stop installing some documentation dropped upstream, and let CDBS
    automagically handle some of the remains.
  * Update control file:
    + Bump policy compliance to standards-version 3.9.2.
    + Shorten Vcs-* URLs.
  * Add patches 115 and (for automade file) 214 to avoid installing
    unneeded /default dir.
    Closes: bug#628119. Thanks to Russell Muetzelfeldt and Luk Claes.
  * Don't ship .la files. Closes: bug#621849. Thanks to Andreas Metzler
    and Luk Claes.
  * Stop renaming afile and achfile, dropped upstream.
  * Explicitly enable DDP (AppleTalk), now disabled by default.
  * Enable Zeroconf, should be stable now.
  * Simplify package relations:
    + Drop (build-)dependency fallback unneeded even for oldstable.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  06 Jun 2011 08:23:33 +0000

Available diffs

Superseded in oneiric-release on 2011-06-06
Obsolete in natty-release on 2013-06-04
netatalk (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Add NEWS entry on BerkeleyDB bump to 4.8 and databases now auto-
    upgrading (replacing older testing-only entry bumping to 4.7).
    Rephrase README.Debian to mention auto-upgrading.
  * Bump standards compliance to standards-version 3.9.0.
  * Unfuzz patch 114.
  * Update copyright file:
    + Fix document a few missed copyright holders (no new licenses).
    + Split comments in License fields into separate License-Comments
      fields.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  29 Nov 2010 11:25:37 +0000

Available diffs

Superseded in natty-release on 2010-11-29
Obsolete in maverick-release on 2013-03-05
netatalk (2.1.2-2) unstable; urgency=low

  * Fix enable DEB_BUILD_HARDENING.

Available diffs

Superseded in maverick-release on 2010-06-24
netatalk (2.1-2) unstable; urgency=low

  * Drop patch 212 (disable CNID metad by default): the CNID scheme used
    by default since Netatalk 2.1, dbd, requires metad enabled.
    Closes: bug#581773, thanks to Søren Grønning.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 May 2010 13:00:23 +0100

Available diffs

Superseded in maverick-release on 2010-05-17
netatalk (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    + Drop patches 001, 002, 003, 101, 102, 103, 104, 105, 106, 113,
      206, 210, 214, and disabled patches 291, 292, 293: Merged upstream
      or no longer applies.
    + Refresh remaining (enabled) patches 109, 200, 205, 212, 213, with
      shortening quilt options --no-timestamps --no-index -pab.
    + Disable patch 109: XFS quota support apparently no longer broken.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
  * Refer to FSF website (not postal address) in rules file.
  * Bump copyright years in header of in rules file.
  * Drop locally implemented DEB_MAINTAINER_MODE in rules file: Now
    adopted upstream.
  * Rewrite copyright file using draft DEP5 rev. 135. Adds new owners
    and licenses, and some files lacking proper licensing are revealed.
  * Install docs README.AppleTalk (not README.platforms, its old name)
    and README.ids.
  * Simplify rules file to no longer regenerate autotools: no patches
    affect upstream-shipped automade files.
  * Bump standards compliance to standards-version 3.8.4.
  * Add workaround for upstream braindead double expanded DESTDIR.
  * Tighten build-dependency on cdbs.
  * Stop build-depending on libtool, automake1.11 or autoconf.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:58:08 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
netatalk (2.0.5-3) unstable; urgency=medium

  * Fix replace/drop bogus and/or obsolete configure options:
    + Use --without-ssl-dir/--with-ssl-dir (not --with-openssl-dir/
      --without-openssl-dir). Closes: bug#565969, thanks to Fabian
      Greffrath.
    + Use --enable-tcp-wrappers (not --with-tcp-wrappers).
    + Use --disable-srvloc (not --disable-slp).
    + Drop --disable-logger (obsolete since 2.0.1).
    + Drop --with-mangling (apparently obsolete since 2.0 alpha 1).
    + Drop --with-nls-dir and --without-xfs (apparently obsolete).
  * Autoreconfigure during build (since upstream does not enable
    maintainer-mode). Disable autotools-related patches. Build-depend on
    libtool, automake1.11 and autoconf. Closes: bug#559060, thanks to
    Cyril Brulebois and others.
  * Add safety-check to fail build if accidentally linked against
    libssl. Thanks to Fabian Greffrath (see bug#565969).
  * Disable atalkd by default, to not require supported network active
    at daemon start time. Closes: bug#565568, thanks to Kurt Roeckx.
    Add NEWS entry about the change.
  * Build-depend on and enable hardening-includes.
  * Fix adjust "See also" of manpages referring to afile or achfile.
  * Set urgency=medium as earlier lack of explicit disabling openssl
    caused the package to violate licensing for some architectures, also
    affecting testing.

Available diffs

Superseded in lucid-release on 2010-02-02
netatalk (2.0.4-2) unstable; urgency=low

  * Update copyright hints.
  * Lower policy compliance to 3.8.0 (uncertain about sysv script
    requirements in 3.8.1).
  * Fix order of db upgrade commands in README.Debian. Closes:
    bug#533344, thanks (again) to Itai Seggev.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.
  * Fix and improve README.Debian section on recompiling with OpenSSL,
    thanks to Gijs Hillenius and others.

Available diffs

Superseded in lucid-release on 2009-12-26
Obsolete in karmic-release on 2013-03-04
netatalk (2.0.4~beta2-5ubuntu2) karmic; urgency=low

  * No-change rebuild against libkrb5-3

 -- Steve Langasek <email address hidden>   Thu, 10 Sep 2009 10:41:39 +0000
Superseded in karmic-release on 2009-09-10
Obsolete in jaunty-release on 2013-02-28
netatalk (2.0.4~beta2-5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - Build-Depends on libtdl7-dev instead of libtdl3-dev.

Superseded in jaunty-release on 2009-03-07
netatalk (2.0.4~beta2-4.1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes: LP: #318665
    - Changed dependency from libdb-dev to libdb4.6-dev to correct
      FTBFS due to an issue caused by mismatches on installed binaries
      and development headers (db4.7 is installed under a different soname
      which breaks a check in netatalk) (LP: #262991)
    - debian/control:
      + Replace libltdl3-dev with libltdl7-dev.
      + Recommend db4.6-util instead of db4.2-util as we build netatalk with
        db4.6.

Superseded in jaunty-release on 2009-02-03
Obsolete in intrepid-release on 2013-02-20
netatalk (2.0.3-11ubuntu1) intrepid; urgency=low

  [ Michael Casadevall ]
  * Changed dependency from libdb-dev to libdb4.6-dev to correct
    FTBFS due to an issue caused by mismatches on installed binaries
    and development headers (db4.7 is installed under a different soname
    which breaks a check in netatalk) (LP: #262991)

  [ Michael Bienia ]
  * debian/control:
    + Replace libltdl3-dev with libltdl7-dev.
    + Recommend db4.6-util instead of db4.2-util as we build netatalk with
      db4.6.

 -- Michael Bienia <email address hidden>   Sat, 30 Aug 2008 17:16:21 +0200

Available diffs

Superseded in intrepid-release on 2008-08-30
netatalk (2.0.3-11) unstable; urgency=medium

  * Add patch 001 from upstream CVS to fix LFS test for cross
    compilation.
  * Update cdbs tweaks:
    + Relax copyright-check.mk to only warn about its discoveries.
      Closes: bug#487061, thanks to Lucas Nussbaum.
    + Correct abbreviation of BSD licenses in copyright-check.mk.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Raise urgency to medium due to FTBFS bugfix.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  02 Jul 2008 12:20:22 +0100

Available diffs

Superseded in intrepid-release on 2008-07-02
netatalk (2.0.3-10) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.  Update
      copyright-hints.  This (and earlier updates) closes: bug#477967.
  * Bump debhelper compatibility level to 6 (was 4).
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:20:24 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
netatalk (2.0.3-9) unstable; urgency=low

  * Update zeroconf patch (found in Gentoo bug#133575):
    + Enable zeroconf only if srvloc is not enabled.
    + Use Avahis threaded poll implementation only for Avahi >= 0.6.4,
      and fallback to handling it internally.
  * Add patch 113 to add LSB dependency info to sysV script, and leave
    shutdown process to core sendsigs routine. Closes: bug#459442.
  * Add patch 114 to fix macusers ps parsing bug. Closes: bug#462186.
  * Disable zeroconf support (enable by rebuilding with
    DEB_BUILD_OPTIONS=zeroconf).  Closes: bug#462082, #463544.
  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Update local cdbs snippets:
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Update debian/README.cdbs-tweaks.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

Superseded in hardy-release on 2008-04-08
netatalk (2.0.3-7) unstable; urgency=low

  * Friendly package maintainer takeover, with the consent of the
    previous maintainer. Thanks a lot for your excellent work with both
    packaging and upstream development, Sebastian Rittau!
  * Enable BDB transaction protection. Closes: bug#435210, thanks to
    Craig Ringer.
  * Fix bogus trailing space in logcheck rule. Closes: bug#381839,
    thanks to Bernhard Sadlowski.
  * Fix building with DEB_BUILD_OPTIONS=ssl by moving ssl_build_depends
    inclusion below other build-dependencies declared in debian/rules.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update CDBS tweaks:
    + update-tarball needs cdbs 0.4.39 or newer (only relevant for
      backports).
    + Fix typo in update-tarball regarding gzip-recompressing tarballs.
    + Use uppercase variables in copyright-check.
  * Update build-dependency cosmetics in debian/rules, and semi-auto-
    update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
  * Support Zeroconf (instead of SLP:
    + Add patches 107 and 108 to support zeroconf, found at
      http://aur.archlinux.org/packages/netatalk/netatalk/ .
    + Enable zeroconf, and build-depend on recent version of libavahi-client-dev.
    + Drop SLP support, and drop build-depending on libslp-dev and recommending
      slpd.
    + Unfuzz zeroconf patches.
  * Generate autotools at build time (zeroconf patches change autobuilt files).
    + Disable patches to autobuilt files.
    + Adjust patch 210 to not indent comment hashes, thanks to automake 1.10.
    + Duplicate macros directory as m4, and touch AUTHORS, ChangeLog and INSTALL
      (as workaround for cdbs lacking support for passing options to autotools).
    + Suppress copyright-checking autobuilt files.
    + Build-depend on libltdl3-dev (seems to grow a dependency on that once the
      source has been rebuilt once).
  * Build-depend on libkrb5-dev (not heimdal-dev). Closes: bug#441520.
  * Add patch 109 to support explicitly avoiding XFS quota support. Patch found at
    http://aur.archlinux.org/packages/netatalk/netatalk/ . Use it - code is
    broken currently (complains about redefining __swabXXX in xfs/swab.h).
  * Only enable PGP UAM when SSL is enabled (didn't fail but was confusing).
  * Update BerkeleyDB linkage:
    + Add patch 110 to fix linking against newer versions of BerkeleyDB, found at
      http://aur.archlinux.org/packages/netatalk/netatalk/ .
    + Extend patch 110 to avoid deprecated DB_VERB_CHKPOINT.
    + build-depend on libdb-dev (not libdb4.2-dev).

 -- Michele Angrisano <email address hidden>   Wed,  12 Dec 2007 10:50:30 +0000
Superseded in hardy-release on 2007-12-12
Obsolete in gutsy-release on 2011-09-16
netatalk (2.0.3-6ubuntu1) gutsy; urgency=low

  * Replace heimdal-dev b-d with libkrb5-dev
  * Update maintainer per spec

 -- Barry deFreese <email address hidden>   Wed, 15 Aug 2007 12:49:14 -0400
Superseded in gutsy-release on 2007-08-15
netatalk (2.0.3-6) unstable; urgency=low

  * Update CDBS tweaks:
    + Replace auto-update.mk with overloading buildcore.mk.
    + Add debian/README.cdbs-tweaks and advertise it in debian/rules.
    + Fix applying buildinfo only once.
    + Fix race condition: check copyright strings in pre-build target
      (not clean target).
    + Add upstream-tarball.mk to implement get-orig-source target.
  * Declare (and cleanup) build-dependencies in debian/rules.
  * Semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
  * Add patch 212 to disable cnid_metad by default. This was the only
    major change in -5 initscript and thus hopefully closes: bug#384276.

 -- Barry deFreese <email address hidden>   Tue,  14 Aug 2007 23:16:43 +0100
Superseded in gutsy-release on 2007-08-14
Obsolete in feisty-release on 2009-08-20
netatalk (2.0.3-5) unstable; urgency=low

  * Change back to unversioned build-dependency on heimdal-dev again
    (it was only a temporary need, and prevented backporting to sarge).
  * Add patches to fix a few missed sed replacements:
    + 101_fix_manpage_sed_replacements.patch
    + 208_fix_manpage_sed_replacements_for_automade_file.patch
  * Add patches to make upstream sysv init-file behave sanely:
    + 102_rename_initscript.patch
    + 103_initscript_background_off_by_default.patch
    + 104_initscript_load_module_only_if_intended.patch
    + 105_initscript_config_in_etc-default.patch
    + 106_papd_needs_atalk_and_fix_bashism.patch
    + 209_rename_initscript_for_automade_file.patch
    + 210_avoid_update-rc-d.patch
    + 211_avoid_update-rc-d_for_automade_file.patch
  * Add debian/patches/README explaining the patch numbering scheme.
  * Enable the use of upstream Debian-compliant init-file:
    + SysV daemons honours locale defaults.
    + SysV script handles new cnid daemon.
  * Have debhelper reinstall init-file, adding maintainer script hooks.
  * Rename NEWS.Debian to NEWS in source to get recognized by debhelper
    (yes, seems odd, but that's how it works).
  * Recommend procps, needed by macusers.
  * Fix default UAM list (upstream assumes openssl is compiled in).
  * Improve use of cdbs:
    + Add local snippet copyright-check.mk: Scan source for (c) changes.
    + Add local snippet auto-update.mk: auto-update build-dependencies.
      (enabled only when environment includes DEB_BUILD_OPTIONS=update).
    + Add local snippet buildinfo.mk: Include env info with binary pkgs
    + (instead of invoking buildinfo directly within debian/rules).
    + Switch to using patchsys-quilt (instead of simple-patchsys).
  * Add comments documenting the various parts of debian/rules, and
    avoid indentation, to not show them during build.
  * Fix my entry as package uploader.
  * Add netatalk_update.sh (found on upstream wiki) as example script.
  * Support autobuilding of ssl-enabled packages when DEB_BUILD_OPTIONS
    contains "ssl":
    + Include ssl-related build-dependencies with cdbs auto-update (when
      environment contains DEB_BUILD_OPTIONS=update,ssl or similar).
    + Extend default UAM list handling to toggle SSL-enabled UAMs.
    + Safety-check: Refuse to build if build-depending on "libssl" but
      without "ssl" included in DEB_BUILD_OPTIONS (if auto-updated to
      use ssl but later incosistently built without it enabled).
  * Update note in README.Debian about unofficial ssl-enabled packages
    to refer to new netatalk-only repository:
    deb http://debian.jones.dk/ $DIST/netatalk main
  * Bump up standards-version to 3.7.2 (no changes needed).
  * Drop no longer relevant (pre-potato) dependencies:
    - Depended on libpam-runtime (>= 0.76-14).
    - Conflicted with libatalk1 and netatalk-dev.
    - Replaced libatalk1.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  07 Nov 2006 03:06:45 +0000
Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
netatalk (2.0.3-4) unstable; urgency=low

  * Start cnid_metad when requested by user. (Patch stolen from Ubuntu.)
    + debian/netatalk.init: Run cnid_metad.
    + Closes: #308828 "cnid_metad doesn't run on startup"
  * debian/control: Bump heimdal-dev dependency to >= 0.7.1-3 to prevent
    build problems on mips/-el.

 -- Rapha?l Pinson <email address hidden>   Mon,  10 Jul 2006 15:32:34 +0100
Superseded in edgy-release on 2006-07-10
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
netatalk (2.0.3-3ubuntu1) dapper; urgency=low


  * Resynchronize with Debian.

 -- Zak B. Elep <email address hidden>  Sun,  1 Jan 2006 15:24:32 +0800
Superseded in dapper-release on 2006-01-31
netatalk (2.0.3-2ubuntu1) dapper; urgency=low


  * Resynchronise with Debian.

 -- Zak B. Elep <email address hidden>  Sat, 19 Nov 2005 19:18:55 +0800
Obsolete in breezy-release on 2008-03-25
netatalk (2.0.3-1ubuntu1) breezy; urgency=low


  * debian/netatalk.init
    - run cnid_metad if CNID_METAD_RUN=yes

 -- Ante Karamatic <email address hidden>  Fri,  7 Oct 2005 13:46:11 +0200
Obsolete in hoary-release on 2008-03-19
netatalk (1.6.4a-1) unstable; urgency=high


  * New upstream release. Security fix: insecure tempfile handling
    (CAN-2004-0974). Closes: bug#278396 (thanks to Joey Hess
    <email address hidden>).
  * Recommend db4.2-utils and add new patch 206 adapting hardcoded paths
    in cnid_maint to Debian location of helper binaries. Closes:
    Bug#239347 (thanks to Rory Campbell-Lange
    <email address hidden>).
  * Improve init script:
    + Timelord requires Appletalk, so load only when ATALKD_ON=yes.
    + Use && instead of test -a (it is apparently not POSIX compliant).
  * Cleaned up debian/copyright:
    + Mention "GNU systems" (instead of only GNU/Linux).
    + Drop info contained in changelog.
    + Refer only to upstream source. Closes: Bug#260703 (thanks to Adam
      Glasgall <email address hidden>).
    + Use simpler upstream source URL: http://netatalk.sourceforge.net/.
  * Improve README.Debian section on SSL being disabled:
    + Rephrase to describe only _current_ state (NEWS.Debian is the
      place for _change_ of state).
    + Rephrase to clarify the FSF and Debian as _interpreting_ the
      conflict between licenses (could be seen as FSF and Debian being
      the authors of OpenSSL license).
    + Clarify the FSF abbreviation.
    + Describe how to rebuild locally with SSL support.
    + Add another possible source of SSL-enabled packages, and clarify
      that both sources are only unofficial _suggestions_. Closes (also)
      bug#260703 (thanks to Adam Glasgall <email address hidden>).
  * Set urgency=high to get this bugfix release into sarge ASAP.

 -- Jonas Smedegaard <email address hidden>  Sun, 31 Oct 2004 20:50:17 +0100
Obsolete in warty-release on 2008-01-09
netatalk (1.6.4-2) unstable; urgency=low


  * The following changes from Jonas (thanks!):
    + Tighten netatalk-dev dependency on exact same version of netatalk.
    + Bump up dependency on libpam-runtime to 0.76-14 (reflecting a recent
      update to Debian-PAM-MiniPolicy).
    + Drop patch no longer needed: 204_netatalk_pamd_enable_password.diff.
    + Enable SRVLOC support, recommend slpd and build-depend on
      libslp-dev.
    + Use (and build-depend on) d-devlibdeps.
    + Use (and build-depend on) dh-buildinfo.
    + Move around logcheck files to be recognized by dh_installlogcheck,
      and tighten build-dependencies of debhelper and cdbs.
    + Remove cracklib-related (build-)dependencies (they are only used
      when compiled with ssl support).
    + Support enabling ssl-related options simply by setting
      "DEB_BUILD_OPTIONS=ssl" at build time.
      - Include cracklib-support to PAM config on ssl build.
      - Only enable DHX plugin on ssl build.
    + Add TODO with notes on things to (re)add when (if ever?) ssl support
      is enabled again by default.
  * Use Berkeley DB 4.2.
    + debian/control: Changed build-dependencies accordingly.
    + debian/NEWS.Debian: Updated.
    + debian/README.Debian: Updated.

 -- Sebastian Rittau <email address hidden>  Mon, 19 Jan 2004 12:43:49 +0100
143 of 43 results